View Issue Details

IDProjectCategoryView StatusLast Update
0019477MediaMonkey 5Tagging / organizing (properties / auto-tools)public2022-10-26 16:46
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0.4 
Target Version5.0.4Fixed in Version5.0.4 
Summary0019477: Auto-tag: year field fails to update / can't be edited
DescriptionIf the user has configured Auto-tag to lookup year:

1) If the user tries to switch albums in the auto-tag dialog --> the year doesn't update to the date of the newly selected album!

2) If the user tries to edit the year --> the year field becomes empty!

Note: these issues do not occur Lookup settings have 'Date' is enabled instead of 'Year'.
TagsNo tags attached.
Fixed in build2677

Relationships

related to 0018261 feedbackpetr Year and Date are available in Auto-Tag, but Year tags date 
related to 0019459 assignedpetr Auto-tag: Year fails to replace date 

Activities

petr

2022-10-20 07:17

developer   ~0069879

Fixed

lowlander

2022-10-20 21:18

developer   ~0069900

1) Still see this on 2674. Switching to an Album from a different year does not update Year.

2) Still see this on 2674, actually merely getting Year in edit state will remove existing value. Switching Album (1) does not add it back.

petr

2022-10-21 05:16

developer   ~0069913

Fixed

lowlander

2022-10-21 17:04

developer   ~0069931

Last edited: 2022-10-21 17:05

1) Still a problem.
 1 Modify Album and Date to some non-correct value
 2 Use Auto-Tag
 3 Album/Year show correct values
 4 Select old Album value in Summary (it works in Album column)
--> Year does not update

2) Fixed

3) Enter non Year in Year sets it to 0.
 1 Enter a in Year field in Auto-Tag
--> Expect no value like in Filelisting, instead 0 is shown

petr

2022-10-21 17:45

developer   ~0069933

Fixed

rusty

2022-10-24 16:36

administrator   ~0069958

I just noticed another issue:
4) When auto-tag can't find a track's metadata, OR when the looked up year is "", auto-tag changes the year to -1

lowlander

2022-10-25 22:49

developer   ~0069981

1) Setting an different Album in the Summary column will only update Year on the first file. Other files will retain their previous value on 2676.

3) Fixed

4) Untested, please provide a sample to reproduce.

rusty

2022-10-26 01:32

administrator   ~0069989

4) Verified (previously, any track for which the looked up year was unknown had a value of -1. With build 2676, auto-tag looked up numerous tracks with a year="" as would be expected.

petr

2022-10-26 13:20

developer   ~0070005

Fixed

lowlander

2022-10-26 16:46

developer   ~0070011

Verified on 2677